Skip to main content
Avalara Help Center

How do I resolve Error Code: 430 Class does not support Automation or does not support expected interface. in Sage 300?

Overview

You have recently upgraded Sage 300 and installed the new Avalara software for your new version, but an error appears and you cannot calculate or test the connection: 

Error Code: 430
Class does not support Automation or does not support expected interface.

Environment

Sage 300

Resolution    

  • You must install Avalara AvaTax for Sage 300 on every workstation in addition to the server after uninstalling the previous version.
    • This error indicates the previous version was not uninstalled and/or the new version was not installed on the workstation
  • Close Sage 300
  • Uninstall the old version of the Avalara software using Program Manager/Uninstall Programs
  • Install the new version

 

 

  • Was this article helpful?